﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using ThinkGeo.MapSuite.Core;
using ThinkGeo.MapSuite.WpfDesktopEdition;

namespace BandeEnherbee
{
    /// <summary>
    /// Logique d'interaction pour MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {

        private string connectString = "Data Source=.\\SQLEXPRESS;Initial Catalog=Thinkgeo;Persist Security Info=True;Integrated Security=true";


        public MainWindow()
        {
            InitializeComponent();

         
        }

        private void WpfMap_Loaded(object sender, RoutedEventArgs e)
        {

            ///Occupation sol
            MsSql2008FeatureLayer sql2008Layer = new MsSql2008FeatureLayer();
            sql2008Layer.ConnectionString = connectString;
            sql2008Layer.TableName = "Parcelle.OccupationSol";
            sql2008Layer.FeatureIdColumn = "OccupationSolId";
            sql2008Layer.Srid = 2154;
            sql2008Layer.CustomGeometryColumnName = "FormeGeom";
            sql2008Layer.Name = "sql2008Layer";
            sql2008Layer.IsVisible = true;
            sql2008Layer.WhereClause = "WHERE OccupationSolId IN (1)";
            sql2008Layer.ZoomLevelSet.ZoomLevel01.ApplyUntilZoomLevel = ApplyUntilZoomLevel.Level20;
            sql2008Layer.ZoomLevelSet.ZoomLevel01.DefaultAreaStyle = AreaStyles.CreateSimpleAreaStyle(GeoColor.SimpleColors.Transparent, GeoColor.SimpleColors.Blue, 5);
            sql2008Layer.ZoomLevelSet.ZoomLevel01.DefaultTextStyle = TextStyles.CreateSimpleTextStyle("Nom", "Arial", 10, DrawingFontStyles.Bold, GeoColor.SimpleColors.Blue);
            sql2008Layer.ZoomLevelSet.ZoomLevel01.DefaultTextStyle.PointPlacement = PointPlacement.Center;
            sql2008Layer.ZoomLevelSet.ZoomLevel01.DefaultTextStyle.OverlappingRule = LabelOverlappingRule.NoOverlapping;
            sql2008Layer.ZoomLevelSet.ZoomLevel01.DefaultTextStyle.DuplicateRule = LabelDuplicateRule.NoDuplicateLabels;


            LayerOverlay highlightOverlay = new LayerOverlay();
            highlightOverlay.IsVisible = true;
            highlightOverlay.Layers.Add("sql2008Layer", sql2008Layer);      

            sql2008Layer.Open();
            wpfMap1.Overlays.Add("highlightOverlay", highlightOverlay);
            wpfMap1.MapUnit = GeographyUnit.Meter;
            wpfMap1.CurrentExtent = sql2008Layer.GetBoundingBox();
            wpfMap1.Refresh();
        }

    }
}
